Package org.eclipse.jgit.lib

## Enum RebaseTodoLine.Action

- java.lang.Object
- - java.lang.Enum<RebaseTodoLine.Action>
  - - org.eclipse.jgit.lib.RebaseTodoLine.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<RebaseTodoLine.Action>`

Enclosing class:
  RebaseTodoLine

    public static enum RebaseTodoLine.Action
    extends Enum<RebaseTodoLine.Action>

Describes rebase actions

### Enum Constant Summary

Enum Constants
`COMMENT` A comment in the file.
`EDIT` Use commit, but stop for amending
`FIXUP` like "squash", but discard this commit's log message
`PICK` Use commit
`REWORD` Use commit, but edit the commit message
`SQUASH` Use commit, but meld into previous commit

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RebaseTodoLine.Action` `parse​(String token)`
`String` `toString()`
`String` `toToken()`
`static RebaseTodoLine.Action` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RebaseTodoLine.Action[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PICK

    public static final RebaseTodoLine.Action PICK

Use commit

#### REWORD

    public static final RebaseTodoLine.Action REWORD

Use commit, but edit the commit message

#### EDIT

    public static final RebaseTodoLine.Action EDIT

Use commit, but stop for amending

#### SQUASH

    public static final RebaseTodoLine.Action SQUASH

Use commit, but meld into previous commit

#### FIXUP

    public static final RebaseTodoLine.Action FIXUP

like "squash", but discard this commit's log message

#### COMMENT

    public static final RebaseTodoLine.Action COMMENT

A comment in the file. Also blank lines (or lines containing only whitespaces) are reported as comments

### Method Detail

#### values

    public static RebaseTodoLine.Action[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RebaseTodoLine.Action c : RebaseTodoLine.Action.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RebaseTodoLine.Action valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toToken

    public String toToken()

Returns:
  full action token name

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<RebaseTodoLine.Action>`

#### parse

    public static RebaseTodoLine.Action parse​(String token)

Parameters:
  `token` -
Returns:
  the Action